Dependecias logstash


(Erick Garcia Perez) #1

hola buenos dias, epsero me ayuden!
Cuando intento arrancar logstash me sale lo siguiente:

[clusterelastic@linux-z38e:~/cluster1/Nodo1/logapacheerror/logstash-5.5.2/bin] sh logstash -f configuracion.conf

LoadError: no such file to load -- bundler/gem_path_manipulation

require at org/jruby/RubyKernel.java:1040

require at /home/clusterelastic/cluster1/Nodo1/logapacheerror/logstash-5.5.2/vendor/jruby/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:54

(root) at /home/clusterelastic/cluster1/Nodo1/logapacheerror/logstash-5.5.2/vendor/bundle/jruby/1.9/gems/bundler-1.9.10/lib/bundler.rb:4

require at org/jruby/RubyKernel.java:1040

(root) at /home/clusterelastic/cluster1/Nodo1/logapacheerror/logstash-5.5.2/vendor/jruby/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:1

require at /home/clusterelastic/cluster1/Nodo1/logapacheerror/logstash-5.5.2/vendor/jruby/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:128

(root) at /home/clusterelastic/cluster1/Nodo1/logapacheerror/logstash-5.5.2/lib/bootstrap/environment.rb:67


(Gabriel Moskovicz) #2

Hola!

Creo que esto parece un problema con tu servidor. Puedes ver un problema similar aqui: https://github.com/elastic/logstash/issues/6052.

No necesitas hacer sh no se si eso lo esta causando, pero no es un problema con logstash sino mas con el sistema en el que lo estas corriendo.

Saludos!
--Gabriel


(Erick Garcia Perez) #3

buenas tardes, lo que pasa es que yo no lo instale, lo corro en open suse y ejecuto logstash con sh pero me da error, creo que faltan unas dependencias o algo asi, pero no se cuales


(Gabriel Moskovicz) #4

Hola Erick,

Como te digo, esto es un problema de la instalación, o de el sistema operativo que tu tienes. Los problemas con Bundler generalmente son de allí. Te recomiendo que chequeen la instalación.

Saludos!


(system) #5

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.